package com.ruoyi.rocketmq.mapper;

import com.ruoyi.rocketmq.domain.RmAlarmRule;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 告警规则Mapper接口
 * 
 * @author gyt
 * @date 2025-09-12
 */
public interface RmAlarmRuleMapper 
{
    /**
     * 查询告警规则
     * 
     * @param id 告警规则主键
     * @return 告警规则
     */
    public RmAlarmRule selectRmAlarmRuleById(Long id);

    /**
     * 查询告警规则列表
     * 
     * @param rmAlarmRule 告警规则
     * @return 告警规则集合
     */
    public List<RmAlarmRule> selectRmAlarmRuleList(RmAlarmRule rmAlarmRule);

    /**
     * 新增告警规则
     * 
     * @param rmAlarmRule 告警规则
     * @return 结果
     */
    public int insertRmAlarmRule(RmAlarmRule rmAlarmRule);

    /**
     * 修改告警规则
     * 
     * @param rmAlarmRule 告警规则
     * @return 结果
     */
    public int updateRmAlarmRule(RmAlarmRule rmAlarmRule);

    /**
     * 删除告警规则
     * 
     * @param id 告警规则主键
     * @return 结果
     */
    public int deleteRmAlarmRuleById(Long id);

    /**
     * 批量删除告警规则
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmAlarmRuleByIds(Long[] ids);

    /**
     * 根绝告警策略id删除告警规则信息
     * @param id
     * @return
     */
    public int deleteRmAlarmRuleByPolicyId(Long id);

    /**
     * 批量插入告警规则
     * @param alarmRuleList
     */
    void batchInsertRmAlarmRule(@Param("list") List<RmAlarmRule> alarmRuleList);
}
